Blame fedora-obsolete-packages.spec

f76112
# Provenpackagers are welcome to modify this package, but please don't obsolete
f76112
# additional packages without a corresponding bugzilla ticket being filed.
8da748
8da748
Name:       fedora-obsolete-packages
f76112
# Please keep the version equal to the targeted Fedora release
60f7aa
Version:    27
e9fbad
Release:    11
8da748
Summary:    A package to obsolete retired packages
8da748
8da748
# This package has no actual content; there is nothing to license.
8da748
License:    Public Domain
8da748
URL:        https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
8da748
BuildArch:  noarch
8da748
f76112
Source0:    README
f76112
f76112
# Add Obsoletes: below, along with links to the relevant bugzilla tickets filed
f76112
# against this package and the version in which the entry can be removed.
f76112
#
60f7aa
# All Obsoletes: entries must be versioned, with the version being the same as
60f7aa
# or just higher than the last version-release of the obsoleted package.  This
60f7aa
# allows the package to return to the distribution later.
f76112
f76112
# https://bugzilla.redhat.com/show_bug.cgi?id=1234567
f76112
# Remove in f28
60f7aa
# Obsoletes: foo <= 3.5-7
60f7aa
60f7aa
# https://bugzilla.redhat.com/show_bug.cgi?id=1451372
60f7aa
# Remove in F29 to allow for F25->F26->F28 upgrades.
60f7aa
Obsoletes: perl-ZeroMQ <= 0.23-13.fc25
60f7aa
Obsoletes: perl-ZMQ-LibZMQ2 <= 1.09-9.fc25
60f7aa
Obsoletes: perl-ZMQ-LibZMQ3 <= 1.19-5.fc25
60f7aa
19dd4a
# https://bugzilla.redhat.com/show_bug.cgi?id=1463408
19dd4a
# Remove in F28 to allow for F24->F25->F27 upgrades
19dd4a
Obsoletes: dap2rpm <= 0.1.11-5.fc25
19dd4a
Obsoletes: devassistant <= 0.11.2-8.fc25
19dd4a
Obsoletes: devassistant-cli <= 0.11.2-8.fc25
19dd4a
Obsoletes: devassistant-core <= 0.11.2-8.fc25
19dd4a
Obsoletes: devassistant-dap-c <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-common_args <= 0.10.0-10.fc25
19dd4a
Obsoletes: devassistant-dap-cpp <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-custom <= 0.10.0-10.fc25
19dd4a
Obsoletes: devassistant-dap-dap <= 1.3-4.fc25
19dd4a
Obsoletes: devassistant-dap-devassistant <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-docker <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-eclipse <= 0.10.0dev-11.fc25
19dd4a
Obsoletes: devassistant-dap-git <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-github <= 0.10.1-10.fc25
19dd4a
Obsoletes: devassistant-dap-java <= 0.11.1-4.fc25
19dd4a
Obsoletes: devassistant-dap-nodejs <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-openscad <= 0.0.3-4.fc25
19dd4a
Obsoletes: devassistant-dap-perl <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-php <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-python <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-ruby <= 0.11-4.fc25
19dd4a
Obsoletes: devassistant-dap-tito <= 0.10.0dev-9.fc25
19dd4a
Obsoletes: devassistant-dap-vim <= 0.10.0dev-9.fc25
19dd4a
Obsoletes: devassistant-devel <= 0.11.2-8.fc25
19dd4a
Obsoletes: devassistant-gui <= 0.11.2-8.fc25
19dd4a
Obsoletes: python-dap2rpm <= 0.1.11-5.fc25
19dd4a
Obsoletes: python-dapp <= 0.3.0-6.fc25
19dd4a
Obsoletes: python3-dapp <= 0.3.0-6.fc25
19dd4a
Obsoletes: python3-dap2rpm <= 0.1.11-5.fc25
8da748
b50e22
# https://bugzilla.redhat.com/show_bug.cgi?id=1498850
b50e22
# Remove in F28
c0fbfd
Obsoletes: kdegraphics-strigi-analyzer < 16.04.90
c0fbfd
Obsoletes: kfilemetadata < 4.14.3-10
c0fbfd
Obsoletes: libkexiv2 < 15.08.3-10
c0fbfd
Obsoletes: libkexiv2-devel < 15.08.3-10
b50e22
Obsoletes: strigi <= 0.7.8-12.fc24
b50e22
Obsoletes: strigi-libs <= 0.7.8-12.fc24
b50e22
Obsoletes: strigi-devel <= 0.7.8-12.fc24
b50e22
8a587f
# https://bugzilla.redhat.com/show_bug.cgi?id=1443614
8a587f
# Remove in F30, I guess? Package was current in F26
8a587f
Obsoletes: webkitgtk < 2.4.12
8a587f
Obsoletes: webkitgtk-devel < 2.4.12
8a587f
Obsoletes: webkitgtk3 < 2.4.12
8a587f
Obsoletes: webkitgtk3-devel < 2.4.12
8a587f
961cb5
# Remove in F29
961cb5
Obsoletes: hawkey < 0.7
961cb5
Obsoletes: hawkey-devel < 0.7
961cb5
Obsoletes: python2-hawkey < 0.7
961cb5
Obsoletes: python3-hawkey < 0.7
961cb5
961cb5
# Remove in F29
961cb5
Obsoletes: libhif < 0.3
961cb5
Obsoletes: libhif-devel < 0.3
961cb5
bdf1df
# Remove in F29
bdf1df
Obsoletes: kf5-libkface < 16.08.90
bdf1df
Obsoletes: kf5-libkface-devel < 16.08.90
bdf1df
464dc5
# Remove in F30
464dc5
Obsoletes: seed < 3.9
464dc5
Obsoletes: seed-devel < 3.9
464dc5
144fec
# Remove in F29
144fec
Obsoletes: compat-gnutls28 < 3.3.21
144fec
144fec
# Remove in F29
144fec
Obsoletes: libsilc < 1.1.10
144fec
Obsoletes: libsilc-doc < 1.1.10
144fec
Obsoletes: libsilc-devel < 1.1.10
144fec
144fec
# Remove in F29
144fec
Obsoletes: pam_pkcs11 < 0.6.8
144fec
144fec
# Remove in F29
144fec
Obsoletes: python-dapp < 0.3.0
144fec
Obsoletes: python3-dapp < 0.3.0
144fec
8da748
%description
8da748
This package exists only to obsolete other packages which need to be removed
8da748
from the distribution for some reason.
8da748
60f7aa
Current obsoleted packages:
60f7aa
  perl-ZeroMQ <= 0.23-13.fc25
60f7aa
  perl-ZMQ-LibZMQ2 <= 1.09-9.fc25
60f7aa
  perl-ZMQ-LibZMQ3 <= 1.19-5.fc25
19dd4a
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1451372)
19dd4a
19dd4a
  dap2rpm <= 0.1.11-5.fc25
19dd4a
  devassistant-cli <= 0.11.2-8.fc25
19dd4a
  devassistant-core <= 0.11.2-8.fc25
19dd4a
  devassistant-dap-common_args <= 0.10.0-10.fc25
19dd4a
  devassistant-dap-cpp <= 0.11-4.fc25
19dd4a
  devassistant-dap-custom <= 0.10.0-10.fc25
19dd4a
  devassistant-dap-c <= 0.11-4.fc25
19dd4a
  devassistant-dap-dap-1.3-4.fc25
19dd4a
  devassistant-dap-devassistant <= 0.11-4.fc25
19dd4a
  devassistant-dap-docker <= 0.11-4.fc25
19dd4a
  devassistant-dap-eclipse <= 0.10.0dev-11.fc25
19dd4a
  devassistant-dap-github <= 0.10.1-10.fc25
19dd4a
  devassistant-dap-git <= 0.11-4.fc25
19dd4a
  devassistant-dap-java <= 0.11.1-4.fc25
19dd4a
  devassistant-dap-nodejs <= 0.11-4.fc25
19dd4a
  devassistant-dap-openscad <= 0.0.3-4.fc25
19dd4a
  devassistant-dap-perl <= 0.11-4.fc25
19dd4a
  devassistant-dap-php <= 0.11-4.fc25
19dd4a
  devassistant-dap-python <= 0.11-4.fc25
19dd4a
  devassistant-dap-ruby <= 0.11-4.fc25
19dd4a
  devassistant-dap-tito <= 0.10.0dev-9.fc25
19dd4a
  devassistant-dap-vim <= 0.10.0dev-9.fc25
19dd4a
  devassistant-devel <= 0.11.2-8.fc25
19dd4a
  devassistant-gui <= 0.11.2-8.fc25
19dd4a
  devassistant <= 0.11.2-8.fc25
19dd4a
  python-dapp <= 0.3.0-6.fc25
19dd4a
  python-dap2rpm <= 0.1.11-5.fc25
19dd4a
  python3-dapp <= 0.3.0-6.fc25
19dd4a
  python3-dap2rpm <= 0.1.11-5.fc25
19dd4a
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1463408)
60f7aa
8a587f
  webkitgtk < 2.4.12
8a587f
  webkitgtk-devel < 2.4.12
8a587f
  webkitgtk3 < 2.4.12
8a587f
  webkitgtk3-devel < 2.4.12
8a587f
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1443614)
8a587f
c0fbfd
  kdegraphics-strigi-analyzer < 16.04.90
c0fbfd
  kfilemetadata < 4.14.3-10
b50e22
  libkexiv2 <= 15.08.3-2.fc24
c0fbfd
  strigi <= 0.7.8-12.fc24
b50e22
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1498850)
b50e22
bdf1df
  kf5-libkface < 16.08.90
bdf1df
  (See https://bugzilla.redhat.com/show_bug.cgi?id=1423813)
bdf1df
60f7aa
f76112
%prep
f76112
%autosetup -c -T
f76112
cp %SOURCE0 .
f76112
19dd4a
8da748
%files
f76112
%doc README
8da748
19dd4a
8da748
%changelog
e9fbad
* Wed Nov  8 2017 Peter Robinson <pbrobinson@fedoraproject.org> 27-11
144fec
- Obsolete  compat-gnutls28, libsilc, pam_pkcs11, python-dapp
144fec
c0fbfd
* Fri Oct 13 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-9
c0fbfd
- Obsoletes: kdegraphics-strigi-analyzer kfilemetadata
c0fbfd
- bump libkexiv2 version
c0fbfd
bdf1df
* Sat Oct 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-8
bdf1df
- Obsolets: kf5-libkface (#1423813)
bdf1df
b50e22
* Sat Oct 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 27-7
b50e22
- Obsoletes: strigi, libkexiv2 (#1498850)
b50e22
464dc5
* Tue Aug 29 2017 Kalev Lember <klember@redhat.com> - 27-6
464dc5
- Add seed obsoletes
464dc5
961cb5
* Tue Aug 29 2017 Kalev Lember <klember@redhat.com> - 27-5
961cb5
- Add hawkey and libhif obsoletes
961cb5
8c1cc5
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 27-4
8c1cc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
8c1cc5
8a587f
* Tue Jul 11 2017 Adam Williamson <awilliam@redhat.com> - 27-3
8a587f
- Add webkitgtk and webkitgtk3 (and -devel) - RHBZ #1443614
8a587f
19dd4a
* Wed Jun 21 2017 Jason L Tibbitts III <tibbs@math.uh.edu> - 27-2
19dd4a
- Add various devassistant-related packages from https://bugzilla.redhat.com/show_bug.cgi?id=1463408
19dd4a
60f7aa
* Tue May 16 2017 Jason L Tibbitts III <tibbs@math.uh.edu> - 27-1
60f7aa
- Add perl ZMQ packages from https://bugzilla.redhat.com/show_bug.cgi?id=1451372
60f7aa
3d2879
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 26-2
3d2879
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
3d2879
8da748
* Wed Sep 14 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 26-1
8da748
- Initial release; nothing to obsolete yet.